Avnology ID
API ReferenceWebhooks

Delete Webhook

Delete a webhook subscription.

Endpoint

DELETE /v1/webhooks/{id}

Base URL: https://api-id.avnology.net

Authentication: API Key or OAuth token

Request

curl -X DELETE "https://api-id.avnology.net/v1/webhooks/{id}" \\
  -H "Authorization: Bearer ak_live_..." \\

Response

Returns the appropriate response. See API Overview for format.

Errors

StatusCodeDescription
404AVNOLOGY_AUTH_901Resource not found
403AVNOLOGY_AUTH_100Insufficient permissions

Code Examples

JavaScript (fetch)

const response = await fetch('https://api-id.avnology.net/v1/webhooks/{id}', {
  method: 'DELETE',
  headers: { 'Authorization': 'Bearer ' + apiKey, 'Content-Type': 'application/json' },
});

Python (httpx)

import httpx

response = httpx.request("DELETE", "https://api-id.avnology.net/v1/webhooks/{id}",
    headers={"Authorization": f"Bearer {api_key}"

Go (net/http)

req, _ := http.NewRequestWithContext(ctx, "DELETE", "https://api-id.avnology.net/v1/webhooks/{id}", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err